oasis.names.tc.saml._2_0.protocol

## Class Scoping

- java.lang.Object
- - oasis.names.tc.saml._2_0.protocol.Scoping

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:51:38+01:00",
                 comments="JAXB RI v2.3.7")
      public class Scoping
      extends Object
      implements Serializable

  Java class for ScopingType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ScopingType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}IDPList" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}RequesterID" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="ProxyCount" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scoping()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDPList` | `getIDPList()` Gets the value of the idpList property.
    `BigInteger` | `getProxyCount()` Gets the value of the proxyCount property.
    `List<String>` | `getRequesterIDs()` Gets the value of the requesterIDs property.
    `void` | `setIDPList(IDPList value)` Sets the value of the idpList property.
    `void` | `setProxyCount(BigInteger value)` Sets the value of the proxyCount property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Scoping

          public Scoping()

  - ### Method Detail

    - #### getIDPList

          public IDPList getIDPList()

      Gets the value of the idpList property.
      Returns:
        possible object is `IDPList`

    - #### setIDPList

          public void setIDPList(IDPList value)

      Sets the value of the idpList property.
      Parameters:
        `value` - allowed object is `IDPList`

    - #### getRequesterIDs

          public List<String> getRequesterIDs()

      Gets the value of the requesterIDs property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the requesterIDs property.

      For example, to add a new item, do as follows:

              getRequesterIDs().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getProxyCount

          public BigInteger getProxyCount()

      Gets the value of the proxyCount property.
      Returns:
        possible object is `BigInteger`

    - #### setProxyCount

          public void setProxyCount(BigInteger value)

      Sets the value of the proxyCount property.
      Parameters:
        `value` - allowed object is `BigInteger`

Connector Packaging PERSPRACTICALNURSE 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.